using System;
using Data.Core.Model;
using System.ServiceModel;

namespace Data.Core.ViewModel
{
    [ServiceContract]
    public interface ICV
    {
        [OperationContract]
        void CreateCandidate(string candidateName, byte[] cv);

        [OperationContract]
        Candidate RetrieveCandidate(int id);

        [OperationContract]
        void UpdateCandidate(Candidate candidate);

        [OperationContract]
        void DeleteCandidate(int id);

        [OperationContract]
        Candidate RetrieveNextUnvettedCandidate();
    }
}
