﻿using System;
using System.Runtime.Serialization;

namespace Core.Exceptions
{
    [Serializable]
    public class InvalidPropertyException : Exception
    {
        public InvalidPropertyException() { }
        public InvalidPropertyException(string message) : base(message) { }
        public InvalidPropertyException(string message, string property) : base(string.Format("{0} - Property: {1}",message,property)) { }
        public InvalidPropertyException(string message, Exception inner) : base(message, inner) { }
        protected InvalidPropertyException(
          SerializationInfo info,
          StreamingContext context)
            : base(info, context) { }
    }
}
