﻿using System;
using Data.Core.Model;
using System.ServiceModel;
using System.Dynamic;

namespace Data.Core.ViewModel
{
    public class CV : ICV
    {


        #region Boring code
        public Candidate RetrieveCandidate(int id)
        {
            using (var dataStorage = new DataStorage())
            {
                return new Candidate(dataStorage, id);
            }
        }

        public void UpdateCandidate(Candidate candidate)
        {
            using (var dataStorage = new DataStorage())
            {
                candidate.ORM = dataStorage;
                candidate.Save();
                dataStorage.Commit();
            }
        }

        public void DeleteCandidate(int id)
        {
            using (var dataStorage = new DataStorage())
            {
                var candidate = new Candidate(dataStorage)
                {
                    ID = id
                };

                candidate.Delete();
                dataStorage.Commit();
            }
        }

        public Candidate RetrieveNextUnvettedCandidate()
        {
            using (var dataStorage = new DataStorage())
            {
                dynamic filters = new ExpandoObject();
                filters.Vetted = false;

                return new Candidate(dataStorage, filters);
            }
        }
        #endregion
    }
}
