﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace Web.Worker.TermExtractor
{

    public sealed class TermExtractorBlackbox : CodeActivity
    {
        // Define an activity input argument of type string
        public InArgument<byte[]> WordDocument { get; set; }
        public OutArgument<string[]> Skills { get; set; }
        public OutArgument<string[]> Exclusions { get; set; }

        // If your activity returns a value, derive from CodeActivity<TResult>
        // and return the value from the Execute method.
        protected override void Execute(CodeActivityContext context)
        {
            context.SetValue(Skills, new string[] { "Pilot", "Doctor", "Athlete", "Awesome" });
            context.SetValue(Exclusions, new string[0]);
        }
    }
}
